My Project: dgHACDClusterGraph::dgBackFaceFinder Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgHACDClusterGraph::dgBackFaceFinder Class Reference
Inheritance diagram for dgHACDClusterGraph::dgBackFaceFinder:

## Public Member Functions

| dgBackFaceFinder (dgMeshEffect *const mesh, dgHACDClusterGraph *const graph)
dgFloat64 | RayFaceIntersect (const dgMeshBVHNode *const face, const dgBigVector &p0, const dgBigVector &p1, bool doublesided) const
void | CastBackFace (dgListNode *const clusterNodeA, const dgBigVector &p0, const dgBigVector &p1, const dgBigVector &p2, dgFloat32 distanceThreshold)
Public Member Functions inherited from dgMeshEffect::dgMeshBVH
| dgMeshBVH (dgMeshEffect *const mesh)
virtual | ~dgMeshBVH ()
virtual void | Build ()
virtual void | Cleanup ()
void | GetOverlapNodes (dgList< dgMeshBVHNode *> &overlapNodes, const dgBigVector &p0, const dgBigVector &p1) const
dgMeshBVHNode * | FaceRayCast (const dgBigVector &l0, const dgBigVector &l1, dgFloat64 &paramOut, bool doubleSidedFaces) const

## Public Attributes

dgHACDCluster * | m_clusterA
dgHACDClusterGraph * | m_graph

## Additional Inherited Members

Protected Member Functions inherited from dgMeshEffect::dgMeshBVH
dgMeshBVHNode * | AddFaceNode (dgEdge *const face, void *const userData)
void | RemoveNode (dgMeshBVHNode *const treeNode)
void | ImproveNodeFitness ()
void | ImproveNodeFitness (dgMeshBVHNode *const node)
dgFloat32 | CalculateSurfaceArea (dgMeshBVHNode *const node0, dgMeshBVHNode *const node1, dgVector &minBox, dgVector &maxBox) const
virtual bool | SanityCheck () const
virtual dgFloat64 | VertexRayCast (const dgBigVector &l0, const dgBigVector &l1) const
virtual bool | RayRayIntersect (dgEdge *const edge, const dgMeshEffect *const otherMesh, dgEdge *const otherEdge, dgFloat64 &param, dgFloat64 &otherParam) const
Protected Attributes inherited from dgMeshEffect::dgMeshBVH
dgMeshEffect * | m_mesh
dgMeshBVHNode * | m_rootNode
dgFitnessList | m_fitness

## Constructor & Destructor Documentation

## § dgBackFaceFinder()

dgHACDClusterGraph::dgBackFaceFinder::dgBackFaceFinder | ( | dgMeshEffect *const | mesh,
|  | dgHACDClusterGraph *const | graph
| ) |  |

inline

## Member Function Documentation

## § CastBackFace()

void dgHACDClusterGraph::dgBackFaceFinder::CastBackFace | ( | dgListNode *const | clusterNodeA,
|  | const dgBigVector & | p0,
|  | const dgBigVector & | p1,
|  | const dgBigVector & | p2,
|  | dgFloat32 | distanceThreshold
| ) |  |

inline

## § RayFaceIntersect()

dgFloat64 dgHACDClusterGraph::dgBackFaceFinder::RayFaceIntersect | ( | const dgMeshBVHNode *const | face,
|  | const dgBigVector & | p0,
|  | const dgBigVector & | p1,
|  | bool | doublesided
| ) |  | const

inlinevirtual

Reimplemented from dgMeshEffect::dgMeshBVH.

## Member Data Documentation

## § m_clusterA

dgHACDCluster* dgHACDClusterGraph::dgBackFaceFinder::m_clusterA

## § m_graph

dgHACDClusterGraph* dgHACDClusterGraph::dgBackFaceFinder::m_graph

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect3.cpp